For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETConvert Country State
              • GETGet Company Addresses
              • POSTCreate A Company Address
              • GETGet A Company Address
              • PUTUpdate A Company Address
              • DELDelete A Company Address
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIAddress

Get Company Addresses

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/addresses
GET
/api/v2/io/companies/:companyId/addresses
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses \
> -H "authToken: <apiKey>"
200Address_companies_addresses_list_example
1{
2 "code": 200,
3 "data": {
4 "addresses": {
5 "7": {
6 "addressId": "7",
7 "addressLine1": "123 Main Street",
8 "addressLine2": "Blvd",
9 "city": "Austin",
10 "country": {
11 "countryCode": "US",
12 "countryName": "United States"
13 },
14 "firstName": "Jane",
15 "isBilling": true,
16 "isDefaultBilling": true,
17 "isDefaultShipping": true,
18 "isShipping": true,
19 "lastName": "Doe",
20 "phoneNumber": "11111111111",
21 "state": {
22 "stateCode": "TX",
23 "stateName": "Texas"
24 },
25 "zipCode": "78751",
26 "channelId": "1",
27 "channelName": "test"
28 }
29 },
30 "defaultBillingId": "7",
31 "defaultShippingId": "7"
32 },
33 "message": "SUCCESS"
34}
Get all addresses for a company
Was this page helpful?
Previous

Convert Country State

Next

Create A Company Address

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Query parameters

minLastModifiedTimedoubleOptional

Company filter condition: timestamp string e.g. 01/01/2000

maxLastModifiedTimedoubleOptional

Company filter condition: timestamp string e.g. 01/01/2000

minLastCreatedTimedoubleOptional

Company filter condition: timestamp string e.g. 01/01/2000

maxLastCreatedTimedoubleOptional

Company filter condition: timestamp string e.g. 01/01/2000

qstringOptional
Company query string
firstNamedoubleOptional
Address first name filter
lastNamedoubleOptional
Address first name filter
addressdoubleOptional
Address line 1 filter
citydoubleOptional
Address city filter
countrydoubleOptional
Address country filter
statedoubleOptional
Address state filter
zipCodedoubleOptional
Address zip code filter
phoneNumberdoubleOptional
Address phone number filter
isShippingdoubleOptional
Address is shipping filter
isBillingdoubleOptional
Address is billing filter
externalId[]list of anyOptional
Address external id filter
offsetdoubleOptional
Address pagination offset, default 0
limitdoubleOptional4-500
Address pagination limit, default 4.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message